## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005

from CvPythonExtensions import *
import CvUtil
import CvEventManager
import sys
import RealFort
import StackAid
import ExtraXp
#import TechConquest
	
gc = CyGlobalContext()

rf = RealFort.RealFort()
sa = StackAid.StackAid()
ex = ExtraXp.ExtraXp()
#tc = TechConquest.TechConquest()

# globals
###################################################
class CvCustomEventManager(CvEventManager.CvEventManager):
	def __init__(self):
		# initialize base class
		self.parent = CvEventManager.CvEventManager
		self.parent.__init__(self)
		
	def onUnitMove(self, argsList):
		self.parent.onUnitMove(self, argsList)
		rf.onUnitMove(argsList)
		sa.onUnitMove(argsList)
		
	#def onUnitBuilt(self, argsList):
	#	self.parent.onUnitBuilt(self, argsList)
		
	#def onUnitSetXY(self, argsList):
	#	self.parent.onUnitSetXY(self, argsList);
	#	sa.onUnitSetXY(argsList)
		
	def onUnitCreated(self, argsList):
		self.parent.onUnitCreated(self, argsList)
		sa.onUnitCreated(argsList)
		ex.onUnitCreated(argsList)
		
	def onUnitKilled(self, argsList):
		self.parent.onUnitKilled(self, argsList)
		sa.onUnitKilled(argsList)
			
	#def onUnitLost(self, argsList):
	#	self.parent.onUnitLost(self, argsList)
	#	sa.onUnitLost(argsList)
		
	def onImprovementBuilt(self, argsList):
		self.parent.onImprovementBuilt(self, argsList)
		rf.onImprovementBuilt(argsList)
		
	def onTechAcquired(self, argsList):
		self.parent.onTechAcquired(self, argsList)
		rf.onTechAcquired(argsList)
		
	def onCityAcquired(self, argsList):
		'City Acquired'
		self.parent.onCityAcquired(self, argsList)
#		tc.onCityAcquired(argsList)
